camel-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From djBo <rory.slegtenho...@gmail.com>
Subject Re: Installation in Karaf fails since 2.17
Date Sat, 28 May 2016 16:09:44 GMT
Ed Welch wrote
> This thread caught my eye, are you perhaps seeing this issue:
> https://issues.apache.org/jira/browse/AMQ-6230 or one of the related
> issues?

Yes. From the differences in logs on installations, I can clearly see 2.17
and up installing additional spring packages, creating conflicts.

Yesterday, when trying to break down the problem, I instead installed the
activemq-camel bundle by hand (as opposed to using the feature:install
command). After stopping the bundle, I was able to clearly see the related
multiple chain for org.springframework.core causing the root of the problem.
There are several other mentions in jira that tune in closer to the Spring
issues when combining activemq/camel.




--
View this message in context: http://camel.465427.n5.nabble.com/Installation-in-Karaf-fails-since-2-17-tp5783198p5783207.html
Sent from the Camel - Users mailing list archive at Nabble.com.

Mime
View raw message